From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyblake2/
Date: Mon, 13 Nov 2017 19:42:19 +0000 (UTC) [thread overview]
Message-ID: <1510602134.98d8947750b75da2960aa6a2f22aeb9d846ff85b.mgorny@gentoo> (raw)
commit: 98d8947750b75da2960aa6a2f22aeb9d846ff85b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 13 19:40:27 2017 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 13 19:42:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98d89477
dev-python/pyblake2: Bump to 1.0.0
dev-python/pyblake2/Manifest | 1 +
dev-python/pyblake2/pyblake2-1.0.0.ebuild | 52 +++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-python/pyblake2/Manifest b/dev-python/pyblake2/Manifest
index 3dd6e516a50..fa6ac62d487 100644
--- a/dev-python/pyblake2/Manifest
+++ b/dev-python/pyblake2/Manifest
@@ -1 +1,2 @@
DIST pyblake2-0.9.3.tar.gz 130641 SHA256 626448e1fe1cc01d2197118954bec9f158378577e12686d5b01979f7f0fa2212 SHA512 6336a7f7e79bd3e6ff7f8ff4d279ae170e86f1464b9fa9e7ea7f0dbbac6fcc044caf225111e065f9cd9cdeea0f81fae8d373e1f65be3e418929f53fad063205e WHIRLPOOL 0d8f2aaf35a5eb0ebdedd9219a0ee8b126c93b11ae3e406ef637d8930a34783886b212ce50a33d677b0a19289cd32f40dc3da22a9a9fec108b481268f153d45b
+DIST pyblake2-1.0.0.tar.gz 128016 SHA256 aa280dfee52397f3be7dfd19b84283e1e2c97917ef10cb1322d4c41b3a15a7e2 SHA512 b7117e61a138f94c03d89749215a8f9401709a9218b5333b0ea4cf34bbe5f37b0837ed734a1799b8f3f6e4df9d5dcef98ebe59747fa0ab53d87a9e9b7e6824ce WHIRLPOOL 35448a42fd2ca1a42475b841b7299203d59ce42f72104bb0707f3c464cfdce76a18f09020778b033f09a8ae36372a8efbea0717420d53a5b00476ff5c50d2e4a
diff --git a/dev-python/pyblake2/pyblake2-1.0.0.ebuild b/dev-python/pyblake2/pyblake2-1.0.0.ebuild
new file mode 100644
index 00000000000..5f00679e0a5
--- /dev/null
+++ b/dev-python/pyblake2/pyblake2-1.0.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
+inherit distutils-r1 flag-o-matic toolchain-funcs
+
+DESCRIPTION="BLAKE2 hash function extension module"
+HOMEPAGE="https://github.com/dchest/pyblake2 https://pypi.python.org/pypi/pyblake2"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+# pyblake2 itself allows more licenses but blake2 allows the following three
+LICENSE="|| ( CC0-1.0 openssl Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~mips ~ppc ~ppc64 ~x86 ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+blake2_impl() {
+ local code='
+#if defined(__XOP__)
+ HAVE_XOP
+#elif defined(__AVX__)
+ HAVE_AVX
+#elif defined(__SSSE3__)
+ HAVE_SSSE3
+#elif defined(__SSE2__)
+ HAVE_SSE2
+#endif
+'
+ local res=$($(tc-getCC) -E -P ${CFLAGS} - <<<"${code}")
+
+ case ${res} in
+ *HAVE_XOP*) echo XOP;;
+ # this does not actually do anything but implicitly enabled SSE4.1...
+ *HAVE_AVX*) echo AVX;;
+ *HAVE_SSSE3*) echo SSSE3;;
+ # note: SSE2 is 2.5x slower than pure REGS, so we ignore it
+ #*HAVE_SSE2*) echo SSE2;;
+ *) echo REGS;;
+ esac
+}
+
+python_prepare_all() {
+ # uncomment the implementation of choice
+ sed -i -e "/BLAKE2_COMPRESS_$(blake2_impl)/s:^#::" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${EPYTHON}" test/test.py || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2017-11-13 19:42 UTC|newest]
Thread overview: 56+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-11-13 19:42 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-07-25 8:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyblake2/ Michał Górny
2018-09-16 8:13 Mikle Kolyada
2018-09-06 21:22 Michał Górny
2018-07-18 21:48 Michał Górny
2018-06-19 14:32 Tobias Klausmann
2018-06-03 9:49 Mikle Kolyada
2018-05-31 22:02 Mikle Kolyada
2018-05-31 8:13 Sergei Trofimovich
2018-05-30 16:30 Markus Meier
2018-05-28 11:58 Mart Raudsepp
2018-05-28 7:06 Sergei Trofimovich
2018-05-27 20:06 Mikle Kolyada
2018-05-27 13:01 Thomas Deutschmann
2018-05-27 9:03 Michał Górny
2018-04-12 19:12 Michał Górny
2018-03-29 6:55 Michał Górny
2018-03-26 16:14 Michał Górny
2018-03-01 20:02 Mart Raudsepp
2018-01-29 8:22 Tobias Klausmann
2018-01-22 16:08 Michael Haubenwallner
2018-01-18 19:03 Markus Meier
2018-01-17 6:42 Thomas Deutschmann
2018-01-02 6:19 Michał Górny
2017-12-27 15:26 Mike Gilbert
2017-12-23 19:53 Sergei Trofimovich
2017-12-22 5:20 Markus Meier
2017-12-21 16:03 Michael Haubenwallner
2017-12-14 20:19 Sergei Trofimovich
2017-12-14 20:00 Sergei Trofimovich
2017-12-13 19:53 Sergei Trofimovich
2017-12-13 15:06 Mike Gilbert
2017-11-27 22:19 James Le Cuirot
2017-11-24 17:54 Michał Górny
2017-11-22 17:29 Michał Górny
2017-11-22 16:49 Michał Górny
2017-11-22 13:21 Michał Górny
2017-11-15 19:21 Matt Turner
2017-11-15 7:34 Sergei Trofimovich
2017-11-15 7:34 Sergei Trofimovich
2017-11-15 7:34 Sergei Trofimovich
2017-11-14 21:44 Thomas Deutschmann
2017-11-14 12:42 Manuel Rüger
2017-11-14 9:00 Sergei Trofimovich
2017-11-13 22:17 Robin H. Johnson
2017-11-10 1:08 Matt Turner
2017-10-25 17:55 Fabian Groffen
2017-10-24 17:34 Mike Gilbert
2017-10-22 9:34 Fabian Groffen
2017-10-21 12:51 Sergei Trofimovich
2017-10-21 11:49 Fabian Groffen
2017-10-21 8:59 Sergei Trofimovich
2017-10-21 8:35 Michał Górny
2017-10-21 8:29 Michał Górny
2017-10-20 23:44 Michał Górny
2017-10-20 23:44 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1510602134.98d8947750b75da2960aa6a2f22aeb9d846ff85b.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox